Skip to main content

Request validation

Using a valid submission token, request submission to be entered into the validation queue. Submitted Actual SDR returns respond with their existing status without starting validation.

Path Parameters
submissionToken string — REQUIRED

The submission token for the submission to be validated

Header Parameters
EID string — REQUIRED

Enter the EDUMIS (Organisation) ID

Responses
200

Acknowledgement of the validation request

Schema — OPTIONAL
submissionToken string — OPTIONAL

The submission token

dateReceived date-time — OPTIONAL

The date that the validation request was received.

dateStarted date-time — OPTIONAL

The date that the validation run was started.

dateCompleted date-time — OPTIONAL

The date that the validation run was completed.

status string — OPTIONAL

Possible values: [Accumulate, RollBack, Cancelled, FailedToTransfer, Halted, InProgress, Processed, Queued, Rejected, Submitted, ContactSupport, SubmitError]

The status of the current submission for this return.

errorCount int32 — OPTIONAL

The number of errors that occurred

warningCount int32 — OPTIONAL

The number of warnings that occured

400

No records uploaded - check error code for more detail

Schema — OPTIONAL
type string — OPTIONAL
title string — OPTIONAL
status int32 — OPTIONAL
detail string — OPTIONAL
instance string — OPTIONAL
errors object — OPTIONAL
returnId string — OPTIONAL
submissionToken string — OPTIONAL
content object — OPTIONAL
errorCode string — OPTIONAL
401

Authorization failed

Schema — OPTIONAL
type string — OPTIONAL
title string — OPTIONAL
status int32 — OPTIONAL
detail string — OPTIONAL
instance string — OPTIONAL
409

The Actual SDR token has been cancelled; use its replacement

Schema — OPTIONAL
type string — OPTIONAL
title string — OPTIONAL
status int32 — OPTIONAL
detail string — OPTIONAL
instance string — OPTIONAL
errors object — OPTIONAL
returnId string — OPTIONAL
submissionToken string — OPTIONAL
content object — OPTIONAL
errorCode string — OPTIONAL
429

Concurrent upload, validation or submission request not allowed

Schema — OPTIONAL
type string — OPTIONAL
title string — OPTIONAL
status int32 — OPTIONAL
detail string — OPTIONAL
instance string — OPTIONAL